image: docker:stable

before_script:
  - apk add --no-cache py-pip
  - pip install pycodestyle

pycodestyle:
  script:
    # Run pycodestyle (PEP8) check.
    # https://pycodestyle.readthedocs.io/en/latest/intro.html#error-codes
    # Ignored errors:
    # - E501: line too long
    # - E731: do not assign a lambda expression, use a def
    - pycodestyle --ignore=E501,E731 .
